--This is a VIEW for Contact Team in a real env.
insert into auto_ct_isales_proc_vw (userid, contactid, ID, action) values ('testuser-mx', 'contact1-mx', 'id-100-mx', 'ADD');
insert into auto_ct_isales_proc_vw (userid, contactid, ID, action) values ('testuser-mx', 'contact2-mx', 'id-200-mx', 'DEL');

--This is a VIEW for Contact Team in a real env.
insert into auto_ALL_isales_proc_vw (alocacion, action) values ('nueva alocacion-mx', 'ADD');
insert into auto_ALL_isales_proc_vw (alocacion, action) values ('borrada alocacion-mx', 'DEL');



--This is a VIEW for Account Team in a real env.
insert into auto_at_isales_proc_vw (userid, accountid, ID, action) values ('testuser-mx', 'account1-mx', 'id-100-mx', 'ADD');
insert into auto_at_isales_proc_vw (userid, accountid, ID, action) values ('testuser-mx', 'account2-mx', 'id-200-mx', 'DEL');


--
-- Contacts Data
Insert into CONTACTS (COUNTRY,CONTACTID,CONTACTFIRSTNAME,CONTACTLASTNAME,CONTACTEMAIL,CONTACTTYPE,LOCALREF,EXTID,STATUS,ACCOUNTID)
values ('Mexico','AJIA-B96P3G','AGUILAR SANCHEZ','GILBERTO ANDRES','aguilarsanchez.gilberto@example.com','Physician','0201175','MX-0000246632','Active','AJIA-BAUQV5');

Insert into CONTACTS (COUNTRY,CONTACTID,CONTACTFIRSTNAME,CONTACTLASTNAME,CONTACTEMAIL,CONTACTTYPE,LOCALREF,EXTID,STATUS,ACCOUNTID)
values ('Mexico','AJIA-3VPQV1','JUAN MANUEL','VARGAS ESPINOSA','vargas@hotmail.com','Physician','926174',NULL,'Active','AJIA-789SKG');

Insert into CONTACTS (COUNTRY,CONTACTID,CONTACTFIRSTNAME,CONTACTLASTNAME,CONTACTEMAIL,CONTACTTYPE,LOCALREF,EXTID,STATUS,ACCOUNTID)
values ('Mexico','AJIA-3VZN1H','ERIKA GRACIELA','FLORES PRECIADO',NULL,'Physician','3695267','ME-0000246632','Active','AJIA-416GNJ');


--
-- Accounts Data
Insert into ACCOUNTS (ACCOUNTID, ACCOUNTNAME, ACCOUNTTYPE, USERID, EXTID, STATUS, COLONY)
values ('AJIA-410N4T', 'MED TEC 100-TORRE MED TEC 100-CONS 408', 'Pvt Hospital', 'AJIA-265267', 'MX-0000563133','Active', 'EL CARRIZAL');

Insert into ACCOUNTS (ACCOUNTID, ACCOUNTNAME, ACCOUNTTYPE, USERID, EXTID, STATUS, COLONY)
values ('AJIA-4112TR', 'TORRE MEDICA PROVIDENCIA@2', 'Pub Hospital', 'AJIA-2F256X', 'AX-0000552119','Active', 'LOMAS DE PROVIDENCIA');

Insert into ACCOUNTS (ACCOUNTID, ACCOUNTNAME, ACCOUNTTYPE, USERID, EXTID, STATUS, COLONY)
values ('AJIA-410NHL', 'MED TEC 100-TORRE MED TEC 100-CONS 904', 'Pvt Hospital', 'AJIA-2YOZKM', NULL,'Active', 'EL CARRIZAL');

Insert into ACCOUNTS (ACCOUNTID, ACCOUNTNAME, ACCOUNTTYPE, USERID, EXTID, STATUS, COLONY)
values ('AJIA-4113HB', 'F. ERICKA-GENERAL PUEBLITA NTE 18', 'Pharmacy', 'AJIA-2YOZKM', 'MX-0000518835','Active', NULL);


Insert into TIMECYCLES
   (BUSINESS_UNIT, CYCLEYEAR, CYCLEID, CYCLESTART, CYCLEEND, 
    BKPROMOTIONALCYCLE, ID, CRE_STA_DT, CRE_END_DT, CRE_APP_DT, 
    DEL_STA_DT, DEL_END_DT, DEL_APP_DT, HIS_SNAP, COUNTRY, 
    INV_STA_DT, INV_END_DT, DUMMY, CRE_STA_DT_ACC, CRE_END_DT_ACC, 
    CRE_APP_DT_ACC, DEL_STA_DT_ACC, DEL_END_DT_ACC, DEL_APP_DT_ACC)
 values
   ('MSD BU TELEREPS VACUNAS', '2016', '01', TO_DATE('02/08/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    'TELEREPS VACUNAS-2016-1', 'AJIA-STDU2O', SYSDATE, TO_DATE('03/13/2050 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    SYSDATE, TO_DATE('03/13/2050 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'Mexico', 
    TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), NULL, SYSDATE, TO_DATE('03/13/2050 06:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('05/10/2016 14:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2050 06:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'));
Insert into TIMECYCLES
   (BUSINESS_UNIT, CYCLEYEAR, CYCLEID, CYCLESTART, CYCLEEND, 
    BKPROMOTIONALCYCLE, ID, CRE_STA_DT, CRE_END_DT, CRE_APP_DT, 
    DEL_STA_DT, DEL_END_DT, DEL_APP_DT, HIS_SNAP, COUNTRY, 
    INV_STA_DT, INV_END_DT, DUMMY, CRE_STA_DT_ACC, CRE_END_DT_ACC, 
    CRE_APP_DT_ACC, DEL_STA_DT_ACC, DEL_END_DT_ACC, DEL_APP_DT_ACC)
 values
   ('MSD1000 BU Investigacion Clini', '2016', '01', TO_DATE('02/08/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    'Investigacion Clini-2016-1', 'AJIA-STDU1U',  SYSDATE, TO_DATE('03/13/2050 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    SYSDATE, TO_DATE('03/13/2050 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'Mexico', 
    TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('01/01/0001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), NULL, SYSDATE, TO_DATE('03/13/2050 06:00:00', 'MM/DD/YYYY HH24:MI:SS'), 
    TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('05/10/2016 14:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2050 06:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('03/13/2016 00:00:00', 'MM/DD/YYYY HH24:MI:SS'));

